// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function EditorMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <g id="icon-menu-Editor">
        <g id="Frame 37">
          <g id="Group 36">
            <path
              id="Vector"
              d="M4.53074 19.8906C4.65553 19.9482 4.78993 19.9866 4.92433 19.9866C5.02033 19.9866 5.10673 19.9674 5.20272 19.9386L10.5882 18.1531C10.5882 18.1531 10.6074 18.1435 10.617 18.1339C10.6842 18.1051 10.7514 18.0667 10.7994 18.0091C10.7994 18.0091 10.8186 18.0091 10.8186 17.9995L18.748 7.90049L20.0728 6.21092C20.8024 5.27974 20.6392 3.91657 19.708 3.18698L16.9049 0.988628C15.9737 0.259043 14.6201 0.422239 13.8809 1.35342L4.61714 13.142C4.55954 13.2092 4.54034 13.2956 4.53074 13.3724C4.53074 13.382 4.52114 13.3916 4.52114 13.4012L4.06035 19.0555C4.05075 19.1707 4.06035 19.2954 4.09875 19.401C4.17554 19.6218 4.32914 19.8042 4.54034 19.9098L4.53074 19.8906ZM5.02033 18.9883L5.40432 14.3515L9.43624 17.5195L5.02033 18.9883ZM13.0074 4.00296L17.6825 7.67969L10.3482 17.0203L5.67311 13.3436L13.0074 4.00296ZM14.6393 1.92941C14.8409 1.67981 15.1193 1.51662 15.4361 1.47822C15.7433 1.43982 16.0601 1.52622 16.3193 1.72781L19.1224 3.92617C19.6408 4.32936 19.7272 5.08774 19.324 5.60613L18.2873 6.9213L13.6121 3.24458L14.6489 1.92941H14.6393Z"
              fill="white"
            />
            <path
              id="Vector_2"
              d="M23.5198 22.5074H0.480234C0.21144 22.5074 0.000244141 22.7186 0.000244141 22.9874C0.000244141 23.2562 0.21144 23.4674 0.480234 23.4674H23.5198C23.7885 23.4674 23.9997 23.2562 23.9997 22.9874C23.9997 22.7186 23.7885 22.5074 23.5198 22.5074Z"
              fill="white"
            />
          </g>
        </g>
      </g>
    </svg>
  );
}
